﻿
<div class="card mt-n0 mt-sm-n5 border-0 card-login faded" style="width: 400px">
  <div class="card-header bg-dark d-flex justify-content-between align-items-center"
style="border-bottom: 2px solid #00d1b2; padding: 12px;">
<h6 class="card-title text-white m-0">
  Registrarse
</h6>
<a class="bg-danger px-1" [routerLink]="['/account/login']" title="Cancelar"
(click)="form.reset()">
  <i class="mdi mdi-close text-white"></i>
</a>
</div>
<div class="card-body px-3 py-4">
<div class="row">
  <div class="col-md-11 mx-auto">
    <form #form="ngForm" autocomplete="off" (ngSubmit)="service.register(form)">
      <div class="row">
        <div class="col-md-12" [input-wrapper]="user" label="Usuario" labelClass="mb-2"
          errorMsg="Minimo 4 caracteres">
          <div class="input-group">
            <div class="input-group-prepend">
              <div class="input-group-text">
                <i class="mdi mdi-account-lock-outline"></i>
              </div>
            </div>
            <input type="text" class="form-control" #user="ngModel" name="user"
              [(ngModel)]="service.model.UserName" placeholder="Nombre de Usuario" minlength="4"
              required>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12" [input-wrapper]="email" label="Correo" labelClass="mb-2">
          <div class="input-group">
            <div class="input-group-prepend">
              <div class="input-group-text">
                <i class="mdi mdi-email-check-outline"></i>
              </div>
            </div>
            <input type="email" class="form-control" #email="ngModel" name="email"
              [(ngModel)]="service.model.Email" placeholder="Correo Electronico" required>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12" [input-wrapper]="password" label="Contraseña" labelClass="mb-2"
          errorMsg="Minimo 6 caracteres">
          <div class="input-group">
            <div class="input-group-prepend">
              <div class="input-group-text">
                <i class="mdi mdi-lock-open-outline"></i>
              </div>
            </div>
            <input type="password" class="form-control" #password="ngModel" name="password"
              [(ngModel)]="service.model.Password" placeholder="Contraseña" minlength="6"
              required>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
<div class="row">
  <div class="col-md-11 mx-auto text-center">
    <div class="divider-horizontal"><i class="mdi mdi-record text-muted"></i></div>
  </div>
</div>
</div>
<div class="card-footer border-top">
<div class="row no-gutters">
  <div class="col-md-7 mx-auto">
    <button class="btn btn-block btn-teal" [disabled]="form.invalid || service.loading"
      (click)="service.register(form)" type="submit">
      Crear
      <div class="h-100">
        <ngx-spinner name="AUTH_SPINNER" bdColor="#00d1b2" color="#fff" size="small"
            type="line-scale" [fullScreen]="false">
        </ngx-spinner>
      </div>
    </button>
  </div>
</div>
</div>
</div>
